package com.ejie.ab61.model.serviciosWeb.inicioOficio;

/**
 * BusquedasWS
 * 
 */

public class EmisorInicioOficio implements java.io.Serializable {

	String idEmsisor;
	String nombreEmisor;
	String primerApellido;
	String segundoApellido;
	TipoDocumentoIdentidad tipoDocumentoIdentidad;
	TipoSexo sexo;

	public EmisorInicioOficio() {
	}

	/**
	 * @return the idEmsisor
	 */
	public String getIdEmsisor() {
		return idEmsisor;
	}

	/**
	 * @param idEmsisor
	 *            the idEmsisor to set
	 */
	public void setIdEmsisor(String idEmsisor) {
		this.idEmsisor = idEmsisor;
	}

	/**
	 * @return the nombreEmisor
	 */
	public String getNombreEmisor() {
		return nombreEmisor;
	}

	/**
	 * @param nombreEmisor
	 *            the nombreEmisor to set
	 */
	public void setNombreEmisor(String nombreEmisor) {
		this.nombreEmisor = nombreEmisor;
	}

	/**
	 * @return the primerApellido
	 */
	public String getPrimerApellido() {
		return primerApellido;
	}

	/**
	 * @param primerApellido
	 *            the primerApellido to set
	 */
	public void setPrimerApellido(String primerApellido) {
		this.primerApellido = primerApellido;
	}

	/**
	 * @return the segundoApellido
	 */
	public String getSegundoApellido() {
		return segundoApellido;
	}

	/**
	 * @param segundoApellido
	 *            the segundoApellido to set
	 */
	public void setSegundoApellido(String segundoApellido) {
		this.segundoApellido = segundoApellido;
	}

	/**
	 * @return the tipoDocumentoIdentidad
	 */
	public TipoDocumentoIdentidad getTipoDocumentoIdentidad() {
		return tipoDocumentoIdentidad;
	}

	/**
	 * @param tipoDocumentoIdentidad
	 *            the tipoDocumentoIdentidad to set
	 */
	public void setTipoDocumentoIdentidad(TipoDocumentoIdentidad tipoDocumentoIdentidad) {
		this.tipoDocumentoIdentidad = tipoDocumentoIdentidad;
	}

	/**
	 * @return the sexo
	 */
	public TipoSexo getSexo() {
		return sexo;
	}

	/**
	 * @param sexo
	 *            the sexo to set
	 */
	public void setSexo(TipoSexo sexo) {
		this.sexo = sexo;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "EmisorInicioOficio [idEmsisor=" + idEmsisor + ", nombreEmisor=" + nombreEmisor + ", primerApellido="
				+ primerApellido + ", segundoApellido=" + segundoApellido + ", tipoDocumentoIdentidad="
				+ tipoDocumentoIdentidad + ", sexo=" + sexo + "]";
	}

}
